{ *************************************************************************** }
{                                                                             }
{ Kylix and Delphi Cross-Platform Visual Component Library                    }
{                                                                             }
{ Copyright (c) 1997, 2001 Borland Software Corporation                       }
{                                                                             }
{ *************************************************************************** }


unit SqlConst;

interface

const
  DRIVERS_KEY = 'Installed Drivers';            { Do not localize }
  CONNECTIONS_KEY = 'Installed Connections';    { Do not localize }
  DRIVERNAME_KEY = 'DriverName';                { Do not localize }
  HOSTNAME_KEY = 'HostName';                    { Do not localize }
  ROLENAME_KEY = 'RoleName';                    { Do not localize }
  DATABASENAME_KEY = 'Database';                { Do not localize }
  MAXBLOBSIZE_KEY = 'BlobSize';                 { Do not localize }          
  VENDORLIB_KEY = 'VendorLib';                  { Do not localize }
  DLLLIB_KEY = 'LibraryName';                   { Do not localize }
  GETDRIVERFUNC_KEY = 'GetDriverFunc';          { Do not localize }
  AUTOCOMMIT_KEY = 'AutoCommit';                { Do not localize }
  BLOCKINGMODE_KEY = 'BlockingMode';            { Do not localize }
  WAITONLOCKS_KEY= 'WaitOnLocks';               { Do not localize }
  COMMITRETAIN_KEY = 'CommitRetain';            { Do not localize }
  TRANSISOLATION_KEY = '%s TransIsolation';     { Do not localize }
  SQLDIALECT_KEY = 'SqlDialect';                { Do not localize }
  SQLLOCALE_CODE_KEY = 'LocaleCode';            { Do not localize }
  ERROR_RESOURCE_KEY = 'ErrorResourceFile';     { Do not localize }
  SQLSERVER_CHARSET_KEY = 'ServerCharSet';      { Do not localize }
  SREADCOMMITTED = 'readcommited';              { Do not localize }
  SREPEATREAD = 'repeatableread';               { Do not localize }
  SDIRTYREAD = 'dirtyread';                     { Do not localize }
  SDRIVERREG_SETTING = 'Driver Registry File';           { Do not localize }
  SCONNECTIONREG_SETTING = 'Connection Registry File';   { Do not localize }
  szUSERNAME         = 'USER_NAME';             { Do not localize }
  szPASSWORD         = 'PASSWORD';              { Do not localize }
  SLocaleCode        = 'LCID';                  { Do not localize }
  ROWSETSIZE_KEY     = 'RowsetSize';            { Do not localize }
  OSAUTHENTICATION   = 'Os Authentication';     { Do not localize }
{$IFDEF MSWINDOWS}
  SDriverConfigFile = 'dbxdrivers.ini';            { Do not localize }
  SConnectionConfigFile = 'dbxconnections.ini';    { Do not localize }
  SDBEXPRESSREG_SETTING = '\Software\Borland\DBExpress'; { Do not localize }
{$ENDIF}
{$IFDEF LINUX}
  SDBEXPRESSREG_USERPATH = '/.borland/';          { Do not localize }
  SDBEXPRESSREG_GLOBALPATH = '/usr/local/etc/';   { Do not localize }
  SDriverConfigFile = 'dbxdrivers';                  { Do not localize }
  SConnectionConfigFile = 'dbxconnections';          { Do not localize }
  SConfExtension = '.conf';                       { Do not localize }
{$ENDIF}

resourcestring
  SLoginError = 'Impossvel conectar ao database ''%s''';
  SMonitorActive = 'Impossvel mudar conexo no Monitor Ativo';
  SMissingConnection = 'Faltando SQLConnection property';
  SDatabaseOpen = 'Impossvel executar esta operao em uma conexo aberta';
  SDatabaseClosed = 'Impossvel executar esta operao em uma conexo fechada';
  SMissingSQLConnection = 'Propriedade SQLConnection requerida para esta operao';
  SConnectionNameMissing = 'Nome da conexo faltando';
  SEmptySQLStatement = 'Nenhum SQL Statement disponivel';
  SNoParameterValue = 'No h valor para o parametro ''%s''';
  SNoParameterType = 'No h tipo parametro para parametro ''%s''';
  SParameterTypes = ';Entrada;Sada;Entrada/Sada;Resultado';
  SDataTypes = ';String;SmallInt;Integer;Word;Boolean;Float;Currency;BCD;Date;Time;DateTime;;;;Blob;Memo;Graphic;;;;;Cursor;';
  SResultName = 'Resultado';
  SNoTableName = 'Propriedade TableName faltando';
  SNoSqlStatement = 'Faltando consulta, nome da tabela ou nome da procedure';
  SNoDataSetField = 'Propriedade DataSetField faltando';
  SNoCachedUpdates = 'No est em modo de atualizao de cache';
  SMissingDataBaseName = 'Propriedade Database faltando';
  SMissingDataSet = 'Propriedade DataSet faltando';
  SMissingDriverName = 'Propriedade DriverName faltando';
  SPrepareError = 'Impossvel executar Consulta';
  SObjectNameError = 'Table/Procedure no encontrado';
  SSQLDataSetOpen = 'Impossvel determinar nomes do campo para %s';
  SNoActiveTrans = 'No h transaes ativas';
  SActiveTrans = 'Uma transao est ativa';
  SDllLoadError = 'Impossvel ler %s';
  SDllProcLoadError = 'Impossvel localizar Procedure %s';
  SConnectionEditor = '&Editar Propriedade da Conexo';
  SCommandTextEditor = '&Editar CommandText';
  SMissingDLLName = 'Nome da DLL/Shared Library no definido';
  SMissingDriverRegFile = 'Driver/Connection Registry File ''%s'' no encontrado';
  STableNameNotFound = 'Impossvel encontrar TableName in CommandText';
  SNoCursor = 'Cursor no retornado da consulta';
  SMetaDataOpenError = 'Impossvel abrir Metadata';
  SErrorMappingError = 'Erro SQL: Erro de falha de mapeamento';
  SStoredProcsNotSupported = 'Procedures fornecidas no suportadas pelo servidor ''%s''';
  SPackagesNotSupported = 'Packages no so suportadas pelo servidor ''%s'' ';
  SDBXUNKNOWNERROR = 'Erro DBX: No Mapping for Error Code Found';
  SDBXNOCONNECTION = 'Erro DBX: Conexo no encontrada, mensagem de erro no pode ser recuperada';
  SDBXNOMETAOBJECT = 'Erro DBX: MetadataObject no encontrada, mensagem de erro no pode ser recuperada';
  SDBXNOCOMMAND = 'Erro DBX: Conexo no encontrada, mensagem de erro no pode ser recuperada';
  SDBXNOCURSOR = 'Erro DBX: Conexo no encontrada, mensagem de erro no pode ser recuperada';
  SNOMEMORY = 'Erro DBX: Memoria insuficiente para a operao';
  SINVALIDFLDTYPE = 'Erro DBX: Tipo de campo invlido';
  SINVALIDHNDL = 'Erro DBX: Handle invlido';
  SINVALIDTIME = 'Erro DBX: Hora invlida';
  SNOTSUPPORTED = 'Erro DBX: Operao not suportada';
  SINVALIDXLATION = 'Erro DBX: Translao invlida';
  SINVALIDPARAM = 'Erro DBX: Parametro invlido';
  SOUTOFRANGE = 'Erro DBX: Argumento fora de faixa';
  SSQLPARAMNOTSET = 'Erro DBX: Parameter no definido';
  SEOF = 'Erro DBX: Resultado definido no EOF';
  SINVALIDUSRPASS = 'Erro DBX: Nome de Usurio/Senha invlido';
  SINVALIDPRECISION = 'Erro DBX: Precio invlida';
  SINVALIDLEN = 'Erro DBX: Tamanho invlido';
  SINVALIDXISOLEVEL = 'Erro DBX: Nivel de Isolamento de Transao invlido';
  SINVALIDTXNID = 'Erro DBX: ID de transao invlido';
  SDUPLICATETXNID = 'Erro DBX: ID de Transaction duplicado';
  SDRIVERRESTRICTED = 'dbExpress: Aplicativo no est licensiado para usar estas opes';
  SLOCALTRANSACTIVE = 'Erro DBX: Transao local j est ativa';
  SMultiConnNotSupported = 'Multiplas conexes no suportados pelo driver de %s';
  SConfFileMoveError = 'Impossvel mover %s para %s';
  SMissingConfFile = 'Arquivo de configurao %s no encontrado';
  SObjectViewNotTrue = 'ObjectView precisa ser Verdadeiro(True) para a Tabela com campos Objetos';
  SDriverNotInConfigFile = 'Driver (%s) no encontrado em arquivo CFG (%s)';
  SObjectTypenameRequired = 'Nome do tipo de Objeto  requirido como valor do parametro';
  SCannotCreateFile = 'Impossvel Criar arquivo %s';
// used in SqlReg.pas
  SDlgFilterTxt = 'Arquivos de Texto (*.txt)|*.txt|Todos os Arquivos (*.*)|*.*';
  SLogFileFilter = 'Arquivos de Log (*.log)';

const

  DbxError : array[0..18] of String = ( '', SNOMEMORY, SINVALIDFLDTYPE,
                SINVALIDHNDL, SINVALIDTIME,
                SNOTSUPPORTED, SINVALIDXLATION, SINVALIDPARAM, SOUTOFRANGE,
                SSQLPARAMNOTSET, SEOF, SINVALIDUSRPASS, SINVALIDPRECISION,
                SINVALIDLEN, SINVALIDXISOLEVEL, SINVALIDTXNID, SDUPLICATETXNID,
                SDRIVERRESTRICTED, SLOCALTRANSACTIVE );

implementation

end.
